/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mnenhy.
 *
 * The Initial Developer of the Original Code is Karsten Düsterloh <kd@mnenhy.de>.
 *
 * Portions created by the Initial Developer are Copyright © 2002-2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

Components.utils.import("resource://mnenhy/mnenhy.js");

let gfMnenySidebarDebug = function(ignored){};

function MnenhySidebarInit(aoEventIgnored)
{
  window.removeEventListener("load", MnenhySidebarInit, false);

  // init the debug mode
  const ksPrefDebug = "extensions.mnenhy.log.sidebar";
  if (goMnenhy.GetPref(ksPrefDebug, goMnenhy.kiPrefBool))
    gfMnenySidebarDebug = function(asText){goMnenhy.Log(asText);};
  gfMnenySidebarDebug("mnenhMnenhySidebarInit+");

  // return the F9 key to the sidebar
  // move the folderpane toggle to Shift-F9
  const koSidebarKey   = document.getElementById("showHideSidebar");
  const koFolderToggle = document.getElementById("key_toggleFolderPane");
  if (koFolderToggle)
    koFolderToggle.setAttribute("modifiers", "shift");
  koSidebarKey.parentNode.insertBefore(koSidebarKey, koFolderToggle);

  // sidebarUtils.js assumes that the main window is a browser window and uses
  // that knowledge to eg. show history links on mouseover events. Fortunately,
  // we have a similar implementation for that in the main mail window...
  window.top.XULBrowserWindow = window.MsgStatusFeedback;

  gfMnenySidebarDebug("MnenhySidebarInit-");
}


// |
// | global init call
// |
window.addEventListener("load", MnenhySidebarInit, false);
